Summary:  Additional DrumKits for the Hydrogen drum machine
Name: hydrogen-drumkits
Version: 2006.03.03
Release: 2%{?dist}
License: Free
Group: Applications/Multimedia
URL: http://hydrogen.sourceforge.net/
Source0: UltraAcousticKit.tar.gz
Source1: DrumkitPack1.tar.gz
Source2: DrumkitPack2.tar.gz
Source3: EasternHop-1.tar.gz
Source4: TD-7.tar.gz
Source5: 3355606.tar.gz
Source6: Millo-Drums_v1.tar.gz
Source7: HardElectro1.tar.gz
Source8: Millo_MultiLayered2.tar.gz
Source9: ErnysPercussion.tar.gz
Source10: MilloDrums-3.zip
Patch0: hydrogen-0.8.2-drumkits.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hydrogen
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

%description
Additional Drumkits for the Hydrogen drum machine.

%prep
%setup -q -c -n %{name}-%{version}
%setup -q -D -T -a 1
%setup -q -D -T -a 2
%setup -q -D -T -a 3
%setup -q -D -T -a 4
%setup -q -D -T -a 5
%setup -q -D -T -a 6
%setup -q -D -T -a 7
%setup -q -D -T -a 8
%setup -q -D -T -a 9
%setup -q -D -T -a 10
%patch0 -p1

%install
# remove CVS directories before installing
find . -type d -name CVS | xargs rm -rf

%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_datadir}/hydrogen/data/drumkits
%{__mkdir} -p %{buildroot}%{_datadir}/hydrogen/data/demo_songs
for KITDIR in UltraAcousticKit DrumkitPack1 DrumkitPack2 \
              TD-7 EasternHop-1 3355606 Millo-Drums_v1 \
              HardElectro1 Millo_MultiLayered2 \
              ErnysPercussion MilloDrums-3; do
    cd ${KITDIR}
    for KIT in *.h2drumkit ; do
        %{__tar} -C %{buildroot}%{_datadir}/hydrogen/data/drumkits -xzf ${KIT}
    done
    /usr/bin/find . -name \*.h2song \
           -exec %{__mv} {} %{buildroot}%{_datadir}/hydrogen/data/demo_songs \; 
    cd ../
done
find %{buildroot}%{_datadir}/hydrogen/ -type d -exec chmod 0755 {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/hydrogen/*

%changelog
* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2004.12.04-2
- rebuild on fc6

* Sun May  7 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2004.12.04-1
- split off demo drumkits from the hydrogen package
- added MilloDrums-3 (dated 2006.03.03)
